% resolver Ax = b

% creando A y b
delta = 2*eps;
coef = 1e5;
A = coef*[1 2;1+delta 2+delta];
b = [coef;coef];

% solucion exacta
solex = [-1;1];

disp('condicion de A')
cA = cond(A)

% solucion aproximada
x = A\b;
disp('error en sol.')
norm(solex-x)/norm(x)
disp('error en residual')
relres = norm(b-A*x)/norm(b)
cA*relres
% mejoramiento iterativo
newx = mejoramiento_iterativo(A,b,x,4);
disp('mejoramiento iterativo')
disp('error en sol.')
norm(newx-solex)/norm(x)
disp('error en residual')
relres = norm(b-A*newx)/norm(b)

